Subject: Re: CYGWIN1.DLL
From: Kurt Roeckx <[email-masked]>
To: "Eric M. Monsler" <[email-masked]>
Cc: Corinna Vinschen <[email-masked]>
Date: Tue, 17 Jul 2001 20:40:05 +0200

On Tue, Jul 17, 2001 at 10:09:49AM -0700, Eric M. Monsler wrote:
> 
> One example:  I've written a small utility to pass a specialized
> message-format between UDP and the PC's serial port.  Its distribution
> is entirely within our company.  
> 
> I currently have both the application and the .dll checked in to our CM
> tools under "utils", so that folks can run it without having cygwin
> installed on their PC.  
> 
> Only a few of us have cygwin installed, but there is a potential
> conflict problem with having two cygwin1.dll files, if the CM'd version
> lags or leads the version on any given developer's desktop.  Thus far,
> the cygwin users here are a) mostly knowledgeable enough to deal with
> the issue, and b) few enough that I can support them if the conflict
> ocurred.

I am in about the same situation.  There are serveral PCs which
run my software.  The software is installed on the NT server, and
only one of the other PCs has cygwin installed, but the dll is
all over the place, and I'm not sure which one it will load to
start with.  I'm sure some of them are still B20.

> I'm not saying that there should be a way to create a statically linked
> cygwin executable.  Doing so would certainly allow, and possibly
> encourage, widespread license violations.  But, I did want to point out
> that there are good reasons for desiring a statically linked executable
> that are not in violation of the cygwin license.

I don't see what it would encourage license violations.  You know
give 2 files, which will be turned into 1.  You should give a
written offer for all the sources in both cases.

Anyway, I'm of the opinion the DLL should be LGPL.  It wouldn't
force us to release software under the GPL if it's linked against
it.

May I also point out that if you download the binaries, it
doesn't even say under which license it is.  After running setup
nowhere did it mention it was GPL, nor can I find any file which
says it is.  I guess that's the pain if you distribute something
binary, and not everything has the same license.

The setup program itself, under what license does that fall?
Where are the sources of it, if they are available?

Kurt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/